Subject: RE: Rebase and ME (was rebasing apache 1.3.24-5)
From: Nicholas Wourms <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 12 Jul 2002 11:17:50 -0700 (PDT)

--- Richard Campbell <[email-masked]> wrote:
> From: Richard Campbell <[email-masked]>
> To: Richard Campbell <[email-masked]>
> CC: "'Cygwin Mailing List (E-mail) '" <[email-masked]>
> Subject: RE: Rebase and ME (was rebasing apache 1.3.24-5)
> Date: Thu, 11 Jul 2002 23:26:05 -0400
> 
> 
> >1. Reinstall apache-1.3.24-5, and try and notice what's going on
> better.
> 
> The offending package is actually mod_php4.  It tries to rebase
> 
> /usr/lib/apache/libphp4.dll
> /usr/bin/cygbz21.0.dll
> /usr/bin/cygcrypto.dll
> /usr/bin/cygintl-1.dll
> /usr/bin/pq.dll
> /usr/bin/cygxml2-2.dll
> /usr/bin/cygz.dll
> 
> as follows:
> 
> rebase -d -b 0x68000000 -o 0x10000 ${rebase_dlls}
> 
> Where the rebase version is pulled from 
> 
> /usr/lib/apache/new/rebase
> 
> This execution gives a "Rebase has caused an error in <unknown>.  Rebase
> will now close." popup, with close and debug options.  Debug does 
> nothing useful - VC++ 6 can't make a whole lot of sense of things, 
> although it does seem to be in the kernel dll out of the cygwin dll, 
> which I suppose I would expect.
> 
> I experimented with removing the dlls from the list to rebase one by
> one, but that didn't improve the situation.
> 
> I also attempted to use that rebase command on each of the individual
> dlls listed above.  All gave the same error.
> 
> I finally attempted to use that rebase command on msxml3.dll or 
> some similar name (copied it out of WINDOWS\SYSTEM), with the same
> error.

Pierre,

Would you mind seeing if you can reproduce this on your WindowsME box? 
Just use /lib/apache/new/rebase.exe as the binary.  If you can, then I
think there is enough evidence to conclude that WindowsME has a bad
imagehlp.dll.  Meanwhile, as soon as Jason gets the sources back up, I'm
going to add some printf statements to output the variables before it
crashes.

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Sign up for SBC Yahoo! Dial - First Month Free
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/